# AI 助理列表

基礎 URL: `https://api.maiagent.ai/api`

## 認證方式

所有 API 請求都需要在標頭中使用 API 金鑰進行認證：

```
Authorization: Api-Key YOUR_API_KEY
```

## 端點

#### 1. 取得對話機器人列表

取得可用的對話機器人列表。

```bash
curl -X GET \
  'https://api.maiagent.ai/api/v1/chatbots/?page=1&pageSize=10' \
  -H 'Authorization: Api-Key YOUR_API_KEY'
```

**參數：**

* `page` (查詢參數)：分頁頁碼
* `pageSize` (查詢參數)：每頁項目數

**回應：**

```json
{
  "count": "integer",
  "next": "string|null",
  "previous": "string|null",
  "results": [
    {
      "id": "string",
      "name": "string",
      "largeLanguageModel": {
        "id": "string",
        "name": "string",
        "isDefault": "boolean"
      },
      "rag": {
        "id": "string",
        "name": "string",
        "isDefault": "boolean",
        "isEmbeddingModelSelectable": "boolean",
        "isRerankerModelSelectable": "boolean"
      },
      "embeddingModel": {
        "id": "string",
        "name": "string",
        "isDefault": "boolean"
      },
      "rerankerModel": {
        "id": "string",
        "name": "string",
        "isDefault": "boolean"
      },
      "updatedAt": "string"
    }
  ]
}
```

#### 2. 建立對話完成


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.maiagent.ai/tech/api-integration/qu-de-ji-qi-ren-lie-biao-bing-dui-hua.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
